Que signifie l'erreur: « Option clash for package <nom> » ?

  • Message: Option clash for package <nom>
  • Origine: LaTeX.

L'extension <nom> a été chargée deux fois avec des ensembles d'options qui entrent en conflit. En appuyant sur H en réponse à cette erreur, \LaTeX{} montre les options en conflit. Comme \LaTeX{} ne charge une extension qu'une seule fois1), la meilleure solution est de spécifier toutes les options à la première occurrence.

Si cela n'est pas possible (parce que l'extension est déjà chargée par la classe ou une autre extension), on peut spécifier les options requises en tant qu'options globales au niveau du \documentclass.

En cas d'urgence, on peut aussi charger une extension avant le \documentclass avec \RequirePackage. Voir section 2.1.1 du LaTeX Companion FIXME pour plus de détails.


Sources:

1)
La seule exception concerne l'extension fontenc, qui peut être chargée autant de fois que nécessaire avec différentes options. Voir section 7.5.3 page 369 du LaTeX Companion FIXME.
1_generalites/erreurs/o/option_clash_for_package.txt · Dernière modification: 2020/10/23 01:39 par jejust
CC Attribution-Share Alike 4.0 International
Driven by DokuWiki Recent changes RSS feed Valid CSS Valid XHTML 1.0